Subject: [EAI] draft-eai-mailinglist (WAS: Re: ***SPAM*** 11.038 (5) Re: EAI WG status and rechartering)

From: Joseph Yee <[email-masked]>
Date: Thu, 7 Jan 2010 18:21:51 -0500

All,

I read the latest version of eai-mailinglist and here's my  
recommendation of change.

Regarding to Section 5 - List Header Field

5th paragraph
"it may be advisable to not only copy and preserve the original header  
as usual, but also to edit the header to remove the UTF8 address"
This is leading to the need of using downgraded-list-*, and this  
downgrade process is identical to what described in EAI-Downgrade RFC  
5504.  RFC 5504 Section 5.2.8 mentions List-* headers.  I think it  
would be good to add reference to RFC 5504 here.

"Otherwise, a non-UTF8-aware client might run into trouble if the  
decoded mailto results in a non-ASCII address. [[[EDITOR ........"
First, I take the wording "non-UTF8-aware" as is, I interpret it as  
client who cannot process UTF8 character at all, not just UTF8SMTP.
If downgraded according to RFC 5504, there is no issue to non-UTF8- 
aware client.  Non-UTF8-aware client would not perform decoding.  POP3  
and IMAP will downgrade the message to Non-UTF8-aware client, since  
the client did not issue 'UTF8' or 'ENABLE UTF8=*' respectively to  
server.

I'm into replacing the whole paragraph with something like:
List headers MUST provide alternate address where UTF8 email addresses  
used, and follow EAI-DOWNGRADE [RFC5504] so that UTF8SMTP-aware  
clients and non-UTF8-aware clients can communicate to each other via  
mailing list.

[Note: This is very close to what's written on the 6th paragraph,  
maybe combining them.  I'm using MUST instead of SHOULD just for non- 
UTF8-aware client]

Minor:
- Normative References: [EAI-Downgrade] is RFC5504.
- Normative References: [mailto-bis] is on -07.
- Introduction (section 2), third paragraph, the link [submit] had no  
reference in normative and informative reference sections.

Regards,
Joseph

On 17-Dec-09, at 9:32 PM, YAO Jiankang wrote:

>
> ----- Original Message -----
> From: "Alexey Melnikov" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, November 21, 2009 2:08 AM
> Subject: [EAI] EAI WG status and rechartering
>
>
>> Greetings,
>>
>> Here is what I think remains to be done under the current WG charter:
>>
>> 1).
>> draft-ietf-eai-downgraded-display
>> draft-ietf-eai-imap-utf8
>>
>> I am awaiting for updated versions of these documents before getting
>> them approved.
>>
>> 2). The following document is the last deliverable needed before
>> rechartering (I think):
>>
>> draft-ietf-eai-mailinglist
>>
>> Currently it is expired. Reissuing the document and sending it to  
>> WGLC
>> (if ready), would be nice.
>>
>
>
> I just check the status of these 3 documents.
>
> draft-ietf-eai-downgraded-display  is in the IESG Evaluation::AD  
> Followup
> draft-ietf-eai-imap-utf8 is in the RFC Ed Queue
> draft-ietf-eai-mailinglist is expired but in the status of AD  
> Evaluation::Revised ID Needed
>
> Randall, could you kindly update your draft about draft-ietf-eai- 
> mailinglist?
>
> the current version of this draft was  finished on November 20, 2008.
>
> We may start recharter discussion after finishing these 3 documents  
> as it is suggestd by Alexey.
>
>
> Yao Jiankang
> CNNIC
>
>
>
>
>>
>> While I am waiting for the 3 documents, I think the WG can start
>> discussion about whether the group should shut down or recharter. In
>> case there is consensus to recharter, I would like to see if updated
>> charter text can be agreed on.
>>
>> If the WG has enough energy to recharter, I would also like to ask  
>> the
>> WG to take mailto: URI scheme update (draft-duerst-mailto-bis) as an
>> additional deliverable.
>>
>> Note that I also would be looking for at least 1 new WG chair. If you
>> want to volunteer yourself or somebody else, please send me an email
>> message with details directly.
>>
>> Best Regards,
>> Alexey, Apps AD.
>>
>> _______________________________________________
>> IMA mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ima
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima

---

From: "YAO Jiankang" <[email-masked]>
Date: Fri, 8 Jan 2010 11:01:54 +0800

----- Original Message ----- 
From: "Joseph Yee" <[email-masked]>
To: "EAI WG" <[email-masked]>
Cc: "Alexey Melnikov" <[email-masked]>; "Randall Gellens" <[email-masked]>; "YAO Jiankang" <[email-masked]>
Sent: Friday, January 08, 2010 7:21 AM
Subject: draft-eai-mailinglist (WAS: Re: [EAI] ***SPAM*** 11.038 (5) Re: EAI WG status and rechartering)

> reference in normative and informative reference sections.
another minor:

the author is R.Gellens.
but,
"Gellens & Chung" appears at the foot of every page of the draft.

---

From: Randall Gellens <[email-masked]>
Date: Mon, 11 Jan 2010 17:27:55 -0800

Hi Joseph,

Thanks for your comments.  Please see below.

At 6:21 PM -0500 1/7/10, Joseph Yee wrote:

>  "it may be advisable to not only copy and preserve the original 
> header as usual, but also to edit the header to remove the UTF8 
> address"
> downgrade process is identical to what described in EAI-Downgrade 
> RFC 5504.  RFC 5504 Section 5.2.8 mentions List-* headers.  I think 
> it would be good to add reference to RFC 5504 here.
>

I changed it to just be "a client".

>  If downgraded according to RFC 5504, there is no issue to 
> non-UTF8-aware client.  Non-UTF8-aware client would not perform 
> decoding.  POP3 and IMAP will downgrade the message to 
> Non-UTF8-aware client, since the client did not issue 'UTF8' or 
> 'ENABLE UTF8=*' respectively to server.

If there is a non-ASCII mailto encoded as ASCII, a client could run 
into trouble, I think.  The client may decode the ASCII encoding if 
it understands EAI or not, and if it doesn't, the mail might fail 
because the encoding used may not represent a valid mailbox, or might 
be delivered to the wrong mailbox.

>  List headers MUST provide alternate address where UTF8 email 
> addresses used, and follow EAI-DOWNGRADE [RFC5504] so that 
> UTF8SMTP-aware clients and non-UTF8-aware clients can communicate 
> to each other via mailing list.
>
> maybe combining them.  I'm using MUST instead of SHOULD just for 
> non-UTF8-aware client]

I'm not sure we can just prohibit this, since some mailing lists 
might be operated in an environment where everyone supports EAI.  I 
have reworded it a little, though.

>  - Introduction (section 2), third paragraph, the link [submit] had 
> no reference in normative and informative reference sections.

Thanks, fixed.

>  ...snip...

>  "Gellens & Chung" appears at the foot of every page of the draft.

Thanks, fixed.
-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
Did you know that clones never use mirrors?

---

From: Joseph Yee <[email-masked]>
Date: Thu, 21 Jan 2010 13:08:05 -0500

Hi Randall,

On 11-Jan-10, at 8:27 PM, Randall Gellens wrote:

>> aware client.  Non-UTF8-aware client would not perform decoding.   
>> POP3 and IMAP will downgrade the message to Non-UTF8-aware client,  
>> since the client did not issue 'UTF8' or 'ENABLE UTF8=*'  
>> respectively to server.
>
> because the encoding used may not represent a valid mailbox, or  
> might be delivered to the wrong mailbox.

I was thinking of an alternative ASCII mail address provided to mailto  
before, but we may not heading that way.  The current wording is better.

>> addresses used, and follow EAI-DOWNGRADE [RFC5504] so that UTF8SMTP- 
>> aware clients and non-UTF8-aware clients can communicate to each  
>> other via mailing list.
>>

It's true, it makes little sense if every member supports EAI.   
Although it can be done thru operation in mixed (ASCII, UTF8)  
addresses, it may not be the right place in RFC.

I read the latest the revision (-05), no issues.

Thanks,
Joseph